Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaValidator.KeyRefValueStore

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
            |
            +--weblogic.apache.xerces.impl.xs.XMLSchemaValidator.KeyRefValueStore

protected class XMLSchemaValidator.KeyRefValueStore
extends XMLSchemaValidator.ValueStoreBase

Key reference value store.

Field Summary
`protected XMLSchemaValidator.ValueStoreBase` | `fKeyValueStore` Key value store.

Fields inherited from class weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLSchemaValidator.KeyRefValueStore(weblogic.apache.xerces.impl.xs.identity.KeyRef keyRef, XMLSchemaValidator.KeyValueStore keyValueStore)` Constructs a key value store.

Method Summary
`void` | `endDocument()` End document.
`void` | `endDocumentFragment()`

Methods inherited from class weblogic.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, duplicateValue, endValueScope, reportError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fKeyValueStore

    protected XMLSchemaValidator.ValueStoreBase fKeyValueStore

  Key value store.

Constructor Detail

### XMLSchemaValidator.KeyRefValueStore

    public XMLSchemaValidator.KeyRefValueStore(weblogic.apache.xerces.impl.xs.identity.KeyRef keyRef,
                                               XMLSchemaValidator.KeyValueStore keyValueStore)

  Constructs a key value store.

Method Detail

### endDocumentFragment

    public void endDocumentFragment()
                             throws XNIException

  Overrides:
    endDocumentFragment in class XMLSchemaValidator.ValueStoreBase

### endDocument

    public void endDocument()
                     throws XNIException

  End document.

  Overrides:
    endDocument in class XMLSchemaValidator.ValueStoreBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD